HP2GRAPH(1)

NAME
hp2graph - convert a heap profile to a PostScript, MIF or Acorn Draw graph

SYNOPSIS
hp2graph [flags] [file.hp]

DESCRIPTION
The program hp2graph converts a heap profile stored in file.hp into a graph, default is PostScript with the result in file.ps.
 If file.hp is omitted, then the program behaves as a filter.

OPTIONS
The flags are:

-e float[in|mm|pt]
    Generate encapsulated PostScript suitable for inclusion in LaTeX documents. Usually, the PostScript graph is drawn in landscape mode in an area 9 inches wide by 6 inches high, and hp2graph arranges for this area to be approximately centered on a sheet of a4 paper. This format is convenient of studying the graph in detail, but it is unsuitable for inclusion in LaTeX documents. The -e option causes the graph to be drawn in portrait mode, with float specifying the width in inches, millimetres or points (the default). The resulting PostScript file conforms to the Encapsulated Post Script (EPS) convention, and it can be included in a LaTeX document using Rokicki's dvi-to-PostScript converter dvips.

-g  Create output suitable for the gs PostScript previewer (or similar). In this case the graph is printed in portrait mode without scaling. The output is unsuitable for a laser printer.

-p[ file.aux]
    Use previous parameters. By default, the graph is automatically scaled both horizontally and vertically so that it fills the page. However, when preparing a series of graphs for use in a presentation, it is often useful to draw a new graph using the same scale, shading and ordering as a previous one. The -p file.aux flag causes the graph to be drawn using the parameters determined by a previous run of hp2graph on file.hp.

-y  Draw the graph in the traditional York style, ignoring marks.

-0  Draw the graph even if the sampling file contains to few samples for a nice graph.

-v  verbose.

-t percentage
    Ignore keys which contributes less than percentage to the memory usage together.

-x  Draw an exploded graph.

-c  Don't include profile comments.

-m  Don't include garbage collection marks.

-f[ps|draw|mif]
    Produce the graph in PostScript, Acorn Draw or MIF format.

INPUT FORMAT
Take a look yourself, it's an ascii file. Note that different combinations of heap-profile flags use different file formats.

SEE ALSO
nhc98(1), nhc13(1)

AUTHOR
N. Röjemo (rojemo@cs.chalmers.se), but a lot of the code is stolen from hp2ps by D. Wakeling (david@dcs.exeter.ac.uk).